Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.util
Class Util

    java.lang.Object
      org.richfaces.util.Util

    public final class Util

extends java.lang.Object

Since:
  4.0
Author:
  Nick Belaevski

Nested Class Summary
`static class` | `Util.NamingContainerDataHolder`

Method Summary
`static void` | `copyStreamContent(java.io.InputStream is, java.io.OutputStream os)`
`static byte[]` | `decodeBytesData(java.lang.String encodedData)`
`static java.lang.Object` | `decodeObjectData(java.lang.String encodedData)`
`static java.lang.String` | `decodeResourceURL(javax.faces.context.FacesContext context)`
`protected static byte[]` | `decrypt(byte[] src)`
`static java.lang.String` | `encodeBytesData(byte[] data)`
`static java.lang.String` | `encodeJSFURL(javax.faces.context.FacesContext context, java.lang.String url)`
`static java.lang.String` | `encodeObjectData(java.lang.Object data)`
`static java.lang.String` | `encodeURIQueryPart(java.lang.String s)`
`protected static byte[]` | `encrypt(byte[] src)`
`static java.lang.String` | `formatHttpDate(java.lang.Object object)`
`static java.nio.charset.Charset` | `getCharsetFromContentType(java.lang.String contentType)`
`static java.lang.String` | `getMappingForRequest(javax.faces.context.FacesContext context)`
`static java.util.Date` | `parseHttpDate(java.lang.String s)`
`static java.util.Map<java.lang.String,java.lang.String>` | `parseResourceParameters(java.lang.String resourceName)`
`static void` | `restoreResourceState(javax.faces.context.FacesContext context, java.lang.Object resource, java.lang.Object state)`
`static java.lang.Object` | `saveResourceState(javax.faces.context.FacesContext context, java.lang.Object resource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMappingForRequest

    public static java.lang.String getMappingForRequest(javax.faces.context.FacesContext context)

### parseHttpDate

    public static java.util.Date parseHttpDate(java.lang.String s)

### formatHttpDate

    public static java.lang.String formatHttpDate(java.lang.Object object)

### encrypt

    protected static byte[] encrypt(byte[] src)

### decrypt

    protected static byte[] decrypt(byte[] src)

### decodeBytesData

    public static byte[] decodeBytesData(java.lang.String encodedData)

### decodeObjectData

    public static java.lang.Object decodeObjectData(java.lang.String encodedData)

### encodeBytesData

    public static java.lang.String encodeBytesData(byte[] data)

### encodeObjectData

    public static java.lang.String encodeObjectData(java.lang.Object data)

### encodeJSFURL

    public static java.lang.String encodeJSFURL(javax.faces.context.FacesContext context,
                                                java.lang.String url)

### parseResourceParameters

    public static java.util.Map<java.lang.String,java.lang.String> parseResourceParameters(java.lang.String resourceName)

### decodeResourceURL

    public static java.lang.String decodeResourceURL(javax.faces.context.FacesContext context)

### copyStreamContent

    public static void copyStreamContent(java.io.InputStream is,
                                         java.io.OutputStream os)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeURIQueryPart

    public static java.lang.String encodeURIQueryPart(java.lang.String s)

### saveResourceState

    public static java.lang.Object saveResourceState(javax.faces.context.FacesContext context,
                                                     java.lang.Object resource)

### restoreResourceState

    public static void restoreResourceState(javax.faces.context.FacesContext context,
                                            java.lang.Object resource,
                                            java.lang.Object state)

### getCharsetFromContentType

    public static java.nio.charset.Charset getCharsetFromContentType(java.lang.String contentType)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.